Package com.emc.d2fs.models.taxonomy_operation

# Class TaxonomyOperationResult

java.lang.Object
com.emc.d2fs.models.taxonomy_operation.TaxonomyOperationResult

All Implemented Interfaces:
  `Serializable`

public class TaxonomyOperationResult extends Object implements Serializable

Java class for taxonomy_operation_result complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="taxonomy_operation_result">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="operation" type="{http://www.emc.com/d2fs/models/taxonomy_operation}taxonomy_operation" minOccurs="0"/>
             <element name="value" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="valueList" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="values" type="{http://www.emc.com/d2fs/models/attribute}attribute" maxOccurs="unbounded" minOccurs="0"/>
             <element name="success" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaxonomyOperationResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaxonomyOperation`
  `getOperation()`
  Gets the value of the operation property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `List<String>`
  `getValueList()`
  Gets the value of the valueList property.
  `List<Attribute>`
  `getValues()`
  Gets the value of the values property.
  `Boolean`
  `isSuccess()`
  Gets the value of the success property.
  `void`
  `setOperation(TaxonomyOperation value)`
  Sets the value of the operation property.
  `void`
  `setSuccess(Boolean value)`
  Sets the value of the success property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaxonomyOperationResult

    public TaxonomyOperationResult()

- ## Method Details

  - ### getOperation

    public TaxonomyOperation getOperation()
    Gets the value of the operation property.
    Returns:
      possible object is `TaxonomyOperation`

  - ### setOperation

    public void setOperation(TaxonomyOperation value)
    Sets the value of the operation property.
    Parameters:
      `value` - allowed object is `TaxonomyOperation`

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValueList

    public List<String> getValueList()
    Gets the value of the valueList property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the valueList property.

    For example, to add a new item, do as follows:

            getValueList().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getValues

    public List<Attribute> getValues()
    Gets the value of the values property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the values property.

    For example, to add a new item, do as follows:

            getValues().add(newItem);

    Objects of the following type(s) are allowed in the list `Attribute`

  - ### isSuccess

    public Boolean isSuccess()
    Gets the value of the success property.
    Returns:
      possible object is `Boolean`

  - ### setSuccess

    public void setSuccess(Boolean value)
    Sets the value of the success property.
    Parameters:
      `value` - allowed object is `Boolean`